Cantera 2.6.0

Classes | Namespaces | Functions
Species.h File Reference

Declaration for class Cantera::Species. More...

`#include "cantera/base/ct_defs.h"`
`#include "cantera/base/AnyMap.h"`
Include dependency graph for Species.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Species
| Contains data about a single chemical species. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
shared_ptr< Species > | newSpecies (const XML_Node &species_node)
| Create a new Species object from a 'species' XML_Node. More...
unique_ptr< Species > | newSpecies (const AnyMap &node)
| Create a new Species object from an AnyMap specification. More...
std::vector< shared_ptr< Species > > | getSpecies (const XML_Node &node)
| Generate Species objects for all `<species>` nodes in an XML document. More...
std::vector< shared_ptr< Species > > | getSpecies (const AnyValue &items)
| Generate Species objects for each item (an AnyMap) in `items`. More...

## Detailed Description

Declaration for class Cantera::Species.

Definition in file Species.h.